package com.god.base.common.domain.response;

import com.god.base.common.domain.PageQuery;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 车辆故障码
 *
 * @author ChenXinHai
 * @version 2023/11/20 - 19:39
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class BreakdownResponse extends PageQuery {

    // 故障信息表Id
    private Integer id;
    // 故障码Id

    private String breadownId;
    // 创建者
    private String createBy;
    // 创建时间
    private Date createTime;
    // 更新人
    private String updateBy;
    // 更新时间
    private Date updateTime;




}
