package com.god.base.server.config;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

/**
 * @author ChenXinHai
 * @version 2023/11/22 - 19:55
 */
public class SpringUtils implements ApplicationContextAware {
    private static ApplicationContext applicationContext;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext)  {
        SpringUtils.applicationContext=applicationContext;
    }
    public static ApplicationContext getApplicationContext(){
        return applicationContext;
    }

    /**
     * 通过name 获取bean
     */
    public static Object getBean(String name){
        return getApplicationContext().getBean(name);
    }
}
