package com.god.base.server.webSocket.controller;

import com.god.base.server.webSocket.handler.SocketBatchHandler;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

/**
 * @ClassName WebSocketBatchSever
 * @Author WenHao.Sao
 */
@ServerEndpoint("/car/batch")
@Component
@Log4j2
public class WebSocketBatchSever {

    /**
     * 连接建立成功方法
     */
    @OnOpen
        public void onOpen(Session session){
        log.info("车辆大屏新连接" + session.getId());
        SocketBatchHandler.sessions.add(session);
    }

}
