package com.god.base.server.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 电池箱型号
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_batteryBox_model")
public class BatteryBoxModel {
    /**
     * 电池箱型号主键
     */
    private long batteryBoxModelId;
    /**
     * 型号名称
     */
    private String batteryBoxModelName;
    /**
     * 型号编号
     */
    private String batteryBoxModelNumber;
    /**
     * 电池包规格代码
     */
    private String batteryBoxModelPackSpecificationCode;
    /**
     * 电池品牌
     */
    private int batteryBoxModelBrand;
    /**
     * 温度探针总数
     */
    private String batteryBoxModelTemperatureProbePopulation;
    /**
     * 模块串并联方式
     */
    private String batteryBoxModelModuleSeriesParallelMode;
    /**
     * 模块个数
     */
    private String batteryBoxModelNumberOfModules;
    /**
     * 生产厂商名称
     */
    private String batteryBoxModelManufacturerName;


}
