package com.god.base.server;

import com.god.common.security.annotation.EnableCustomConfig;
import com.god.common.security.annotation.EnableMyFeignClients;
import com.god.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 系统模块
 *
 * @author god
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class GodCarBaseApplication {
    public static void main (String[] args) {
        SpringApplication.run(GodCarBaseApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  车辆管理模块启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                "                  ,--,                                \n" +
                "               ,---.'|                           ,--. \n" +
                "   ,---,       |   | :      ,---,              ,--.'| \n" +
                "  '  .' \\      :   : |     '  .' \\         ,--,:  : | \n" +
                " /  ;    '.    |   ' :    /  ;    '.    ,`--.'`|  ' : \n" +
                ":  :       \\   ;   ; '   :  :       \\   |   :  :  | | \n" +
                ":  |   /\\   \\  '   | |__ :  |   /\\   \\  :   |   \\ | : \n" +
                "|  :  ' ;.   : |   | :.'||  :  ' ;.   : |   : '  '; | \n" +
                "|  |  ;/  \\   \\'   :    ;|  |  ;/  \\   \\'   ' ;.    ; \n" +
                "'  :  | \\  \\ ,'|   |  ./ '  :  | \\  \\ ,'|   | | \\   | \n" +
                "|  |  '  '--'  ;   : ;   |  |  '  '--'  '   : |  ; .' \n" +
                "|  :  :        |   ,/    |  :  :        |   | '`--'   \n" +
                "|  | ,'        '---'     |  | ,'        '   : |       \n" +
                "`--''                    `--''          ;   |.'       \n" +
                "                                        '---'         \n" +
                "                                                      ");
    }
}
