package com.god.base.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.god.base.server.common.domain.Car;
import com.god.base.server.common.domain.VehicleMessage;
import com.god.base.server.common.domain.request.CarRequest;
import com.god.common.core.domain.Result;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆管理层
 */
public interface CarService extends IService<Car> {


    Result<List<Car>> carList(@Param("userId") String userId);


    List<Car> selectCarInfoList(CarRequest carRequest);

    Result<List<VehicleMessage>> onlineVehicle();

    /**
     * 响应信息主题
     * @return
     */
    Result<String> countData();

}



