package com.god.base.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.god.base.common.domain.Fault;
import com.god.base.common.domain.request.FaultRequest;
import com.god.common.core.web.page.TableDataInfo;

/**
 * 故障service
 *
 * @author ChenXinHai
 * @version 2023/11/21 - 18:33
 */
public interface FaultService extends IService<Fault> {

    /**
     * 分页查询故障表
     * @param faultRequest
     * @return
     */
    TableDataInfo<Fault> faultList(FaultRequest faultRequest);
}
