package com.god.base.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.god.base.common.domain.Fence;
import com.god.base.common.domain.request.FenceQueryRequest;
import com.god.common.core.web.page.TableDataInfo;

/**
 * @ClassName FenceService
 * @Author Lou-Zs
 * @Date 2023/11/19 22:26
 * @Version 1.0
 * @Description TODO
 **/

/**
 * 电子围栏
 * @author Lou-Zs
 */
public interface FenceService extends IService<Fence> {


    /**
     * 分页查询电子围栏列表
     * @param fenceQueryRequest
     * @return
     */
    TableDataInfo<Fence> fenceListAndPage(FenceQueryRequest fenceQueryRequest);
}
