package com.god.base.server.service;


import com.god.base.server.common.domain.DrivingRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆行驶记录Service接口
 */
public interface IDrivingRecordService {

    /**
     * 查询车辆行驶记录列表
     * @param drivingRecord
     * @return
     */
    List<DrivingRecord> selectDrivingRecordList(DrivingRecord drivingRecord);

    /**
     * 车辆行驶记录主键
     * @param id
     * @return
     */
    DrivingRecord selectDrivingRecordById(@Param("id") Long id);

    /**
     * 新增车辆行驶记录
     * @param drivingRecord 车辆行驶记录
     * @return 结果
     */
    int insertDrivingRecord(DrivingRecord drivingRecord);

    /**
     * 修改车辆行驶记录
     * @param drivingRecord  车辆行驶记录
     * @return 结果
     */
    int updateDrivingRecord(DrivingRecord drivingRecord);

    int deleteDrivingRecordByIds(Long[] ids);
}






















